<?php 
/**
 * Система управления сайтом HostCMS v. 5.xx
 * Copyright © 2005-2010 ООО "Хостмэйк" (Hostmake LLC), http://www.hostcms.ru
 *
 * Обработчик добавления/редактирования меню сайта.
 * 
 * Файл: /admin/structure/action/add_edit_menu.php
 * 
 * @author Hostmake LLC
 * @version 5.x
 */
$menu_params = array();

// Проверяем, идет обновление или добавление.
if (isset($_REQUEST["menu_id"]))
{
	$menu_params['menu_id'] = to_int($_REQUEST["menu_id"]);
}

$menu_params['site_id'] = to_int($_REQUEST['site_id']);

$menu_params['menu_name'] = to_str($_REQUEST['menu_name']);

$menu_params['menu_order'] = to_int($_REQUEST['menu_order']);

$menu = & singleton('menu');

if ($menu->InsertMenu($menu_params))
{
	if (isset($menu_params['menu_id']))
	{
		show_message($GLOBALS['MSG_menu']['menu_edit_success']);			
	}
	else 
	{
		show_message($GLOBALS['MSG_menu']['menu_add_success']);
	}	
}
else 
{
	// Ошибка редактирования информации о меню
	if (isset($menu_params['menu_id']))
	{
		show_error_message($GLOBALS['MSG_menu']['menu_edit_error']);
	}
	else  // Ошибка добавления информации о меню
	{
		show_error_message($GLOBALS['MSG_menu']['menu_add_error']);
	}
}

?>